# _Pattern
<span class="source-link">[[Source]](src/regex/regex.md#L43)</span>
```pony
primitive val _Pattern
```

## Constructors

### create
<span class="source-link">[[Source]](src/regex/regex.md#L43)</span>


```pony
new val create()
: _Pattern val^
```

#### Returns

* [_Pattern](regex-_Pattern) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/regex/regex.md#L45)</span>


```pony
fun box eq(
  that: _Pattern val)
: Bool val
```
#### Parameters

*   that: [_Pattern](regex-_Pattern) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/regex/regex.md#L45)</span>


```pony
fun box ne(
  that: _Pattern val)
: Bool val
```
#### Parameters

*   that: [_Pattern](regex-_Pattern) val

#### Returns

* [Bool](builtin-Bool) val

---

